{
  "format_version": "1.21.0",
  "minecraft:recipe_shaped": {
    "description": {
      "identifier": "silverlabs:banger_recipe"
    },
    "tags": ["crafting_table"],
    "unlock": [
      { "item": "minecraft:gunpowder" }
    ],
    "pattern": [
      "SP",
      "G "
    ],
    "key": {
      "S": { "item": "minecraft:string" },
      "P": { "item": "minecraft:paper" },
      "G": { "item": "minecraft:gunpowder" }
    },
    "result": {
      "item": "silverlabs:banger",
      "count": 4
    }
  }
}
